inst-bpm - Task #9658
Milestone # 9017 (Accepted): State Machine subsystem
Task # 9385 (New): State Machine subsystem test
Instrument bpmd control commands and display their execution time in syslog
07/17/2015 10:43 AM - John Diamond

Status: New Start date: 07/17/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 20%
Category: bpmd Estimated time: 4.00 hours
Target version: Spent time: 4.50 hours
Description

Figure out a way (RTAI libraries or timing board?) to instrument the execution time for control commands so we can determine if
we're meeting real-time requirements.

History

#1 - 07/17/2015 02:01 PM - John Diamond

http://download.gna.org/rtai/documentation/kilauea/html/group__timer.html#rt_set_oneshot_mode

#2 - 07/20/2015 04:03 PM - John Diamond
- % Done changed from 0 to 20

Added syslog and rt_printk messages to display the execution time for the bpmd ARM command and the adc250x12xs READOUT command.

Can't really explain why the ARM command takes 13.5ms to execute...

Jul 20 15:14:30 bbpmts user.info BPMDCT: Digitizer pool armed, took 13512741 ns.
